<?xml version="1.0" encoding="utf-8"?>
<?arboreal menu-item-name="Generate IDs"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="xml" doctype-system="ds3.dtd"/>

  <!-- 2003-07-29: tables and their major constituents get IDs too (mdh)-->

  <xsl:template match="p|s|chap|subchap1|subchap2|table|row|cell|pb|lb">
    <xsl:copy>
      <xsl:attribute name="id">
        <xsl:value-of select="generate-id(.)"/>
      </xsl:attribute>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
