<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
    <HTML>
      <HEAD>
        <TITLE></TITLE>
        <STYLE>
          BODY       { background-color: #FFFFFF; 
                       font-family: Times, serif;  }
         
          HR         { color: #888833; }
          code       { color: blue }
	    h3         {color: purple }
	    tt         {color: green }
	    
        </STYLE>
      </HEAD>

      <BODY>

        <xsl:apply-templates select="//text"/>

     </BODY>
    </HTML>
  </xsl:template>


<!-- Main sections -->

	<xsl:template match="front">
        <br/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="body">
        <br/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="back">
        <br/><xsl:apply-templates/>
	</xsl:template>

<!-- div1 head -->
	<xsl:template match="front/div1/head">
      <center><h1><xsl:apply-templates/></h1></center><br/>
	</xsl:template>
	<xsl:template match="body/div1/head">
      <center><h1><xsl:apply-templates/></h1></center>
	</xsl:template>
	<xsl:template match="back/div1/head">
      <center><h1><xsl:apply-templates/></h1></center><br/>
	</xsl:template>


<!-- divisions -->

	<xsl:template match="div">
        <hr width="75%"/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="div1">
        <hr width="75%"/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="div2">
        <hr width="75%"/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="div3">
        <hr width="75%"/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="div4">
        <hr width="75%"/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="div5">
        <hr width="75%"/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="div6">
        <hr width="75%"/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="div7">
        <hr width="75%"/><xsl:apply-templates/>
	</xsl:template>

<!-- div head -->

	<xsl:template match="front/div/head">
      <center><h3><xsl:apply-templates/></h3></center><br/>
	</xsl:template>
	<xsl:template match="back/div/head">
      <center><h3><xsl:apply-templates/></h3></center><br/>
	</xsl:template>
	<xsl:template match="body/div/head">
      <center><h3><xsl:apply-templates/></h3></center>
	</xsl:template>

<!-- div1 head -->

	<xsl:template match="front/div1/head">
      <center><h2><xsl:apply-templates/></h2></center><br/>
	</xsl:template>
	<xsl:template match="back/div1/head">
      <center><h2><xsl:apply-templates/></h2></center><br/>
	</xsl:template>
	<xsl:template match="body/div1/head">
      <center><h2><xsl:apply-templates/></h2></center>
	</xsl:template>

<!-- div2 head -->
	<xsl:template match="front/div2/head">
      <center><h3><xsl:apply-templates/></h3></center><br/>
	</xsl:template>
	<xsl:template match="back/div2/head">
      <center><h3><xsl:apply-templates/></h3></center><br/>
	</xsl:template>
	<xsl:template match="body/div2/head">
    	<center><h3><xsl:apply-templates/></h3></center>
	</xsl:template>

<!-- div3 head -->
	<xsl:template match="front/div3/head">
      <center><h4><xsl:apply-templates/></h4></center><br/>
	</xsl:template>
	<xsl:template match="back/div3/head">
      <center><h4><xsl:apply-templates/></h4></center><br/>
	</xsl:template>
	<xsl:template match="body/div3/head">
      <center><h4><xsl:apply-templates/></h4></center>
	</xsl:template>

<!-- div4 head -->
	<xsl:template match="front/div4/head">
      <center><h5><xsl:apply-templates/></h5></center><br/>
	</xsl:template>
	<xsl:template match="back/div4/head">
      <center><h5><xsl:apply-templates/></h5></center><br/>
	</xsl:template>
	<xsl:template match="body/div4/head">
      <center><h5><xsl:apply-templates/></h5></center>
	</xsl:template>

<!-- div5 head -->
	<xsl:template match="front/div5/head">
      <center><h6><xsl:apply-templates/></h6></center><br/>
	</xsl:template>
	<xsl:template match="back/div5/head">
      <center><h6><xsl:apply-templates/></h6></center><br/>
	</xsl:template>
	<xsl:template match="body/div5/head">
      <center><h6><xsl:apply-templates/></h6></center>
	</xsl:template>

<!-- div6 head -->
	<xsl:template match="front/div6/head">
      <center><h7><xsl:apply-templates/></h7></center><br/>
	</xsl:template>
	<xsl:template match="back/div6/head">
      <center><h7><xsl:apply-templates/></h7></center><br/>
	</xsl:template>
	<xsl:template match="body/div6/head">
      <center><h7><xsl:apply-templates/></h7></center>
	</xsl:template>

<!-- div7 head -->
	<xsl:template match="front/div7/head">
      <center><h8><xsl:apply-templates/></h8></center><br/>
	</xsl:template>
	<xsl:template match="back/div7/head">
      <center><h8><xsl:apply-templates/></h8></center><br/>
	</xsl:template>
	<xsl:template match="body/div7/head">
      <center><h8><xsl:apply-templates/></h8></center>
	</xsl:template>

<!-- general rule for other heads -->
	<xsl:template match="head">
      <center><h3><xsl:apply-templates/></h3></center><br/>
	</xsl:template>

<!-- Verse -->

<xsl:template match="l">
      <br/> <xsl:apply-templates/> 
	</xsl:template>

<xsl:template match="lg">
        <p><xsl:apply-templates/> </p>
	</xsl:template>

<xsl:template match="lg/head">
        <center><i><xsl:apply-templates/> </i></center>
	</xsl:template>

<!-- Images (assumes same directory as text) -->

	<xsl:template match="figure">
	<A><xsl:attribute name="HREF"><xsl:value-of select="@entity"/>.jpg
	</xsl:attribute>Image available</A><br/>
	</xsl:template>    

	<xsl:template match="figure">
	<A><xsl:attribute name="NAME"><xsl:value-of select="@id"/>
	</xsl:attribute><xsl:apply-templates/></A><br/>
	</xsl:template> 
	
	<xsl:template match="figDesc">
	<P><I><xsl:apply-templates/></I></P>
	</xsl:template>

<!-- Notes -->

	<xsl:template match="note">
	<A><xsl:attribute name="HREF">#<xsl:value-of select="@target"/>
	</xsl:attribute><SUP>[<xsl:value-of select="@target"/>]</SUP></A>
</xsl:template>

<xsl:template match="note">
	<A><xsl:attribute name="NAME">
	<xsl:value-of select="@id"/></xsl:attribute>
	</A><P><xsl:apply-templates/></P>
</xsl:template>	 

<!-- Pointers, references, cross references -->

<!-- xref -->
<xsl:template match="xref">
	<A><xsl:attribute name="HREF"><xsl:value-of select="@doc"/>.html
	</xsl:attribute></A><br/>
	</xsl:template>

<!-- ref -->
<xsl:template match="ref">
	<A><xsl:attribute name="HREF"><xsl:value-of select="@doc"/>.html
	</xsl:attribute><xsl:apply-templates/></A><br/>
	</xsl:template>

<xsl:template match="ref">
	<A><xsl:attribute name="HREF">#<xsl:value-of select="@target"/>
	</xsl:attribute><xsl:apply-templates/></A><br/>
	</xsl:template>

<!-- Page layout -->
  	<xsl:template match="p">
  	<P><xsl:apply-templates/></P>
  	</xsl:template>

	<xsl:template match="pb">
      <HR width="25%"/>
      <CENTER><P><I>--<xsl:value-of select="@n"/>--</I></P></CENTER>
	</xsl:template>

	<xsl:template match="lb">
      <xsl:apply-templates/><BR/>
	</xsl:template>

	<xsl:template match="cb">
      <br/><br/>Column<xsl:value-of select="@n"/><br/><br/>
	</xsl:template>

<!-- letters -->

	<xsl:template match="dateline">
   	<p><xsl:apply-templates/></p>  </xsl:template>

	<xsl:template match="salute">
   	<blockquote><xsl:apply-templates/></blockquote>  </xsl:template>

	<xsl:template match="closer">
  	<p><xsl:apply-templates/></p>
 	</xsl:template>

 	<xsl:template match="opener">
  	<blockquote><xsl:apply-templates/></blockquote>
 	</xsl:template>

	<xsl:template match="signed">
        <blockquote><i><xsl:apply-templates/></i></blockquote>
	</xsl:template>

	<xsl:template match="opener/dateline/name">
	<br/><b><xsl:value-of select="@type"/></b>: <xsl:apply-templates/>
 	</xsl:template>

	<xsl:template match="opener/name">
	<br/><b><xsl:value-of select="@type"/></b>: <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="address">
      <blockquote><xsl:apply-templates/></blockquote>
	</xsl:template>

	<xsl:template match="addrline">
      <br/><xsl:apply-templates/>
	</xsl:template>

<!-- transcription -->

<xsl:template match="orig">
  	<xsl:apply-templates/> [sic] 
	</xsl:template>

	<xsl:template match="sic">
  	<xsl:apply-templates/> [sic] 
 	</xsl:template>

	<xsl:template match="corr">
  	[<xsl:apply-templates/>]   
	</xsl:template>

	<xsl:template match="add">
        <font color="green"><xsl:apply-templates/> </font> 
	</xsl:template>

	<xsl:template match="del">
        <font color="red"><s><xsl:apply-templates/> </s></font> 
	</xsl:template>

	<xsl:template match="addSpan">
        <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="delSpan">
        <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="handShift">
        <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="damage">
        <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="expan"><i><xsl:apply-templates/></i>
	</xsl:template>

	<xsl:template match="expan[@type='ss']">
<sup><i><xsl:apply-templates/></i></sup>
	</xsl:template>

	<xsl:template match="expan[@type='sl']">
<sup><i><xsl:apply-templates/></i></sup>
	</xsl:template>

	<xsl:template match="reg">
        <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="restore">
        <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="supplied">
        <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="unclear">
        [<xsl:apply-templates/>] 
	</xsl:template>

	<xsl:template match="abbr"> 
        <i> <xsl:apply-templates/> </i> 
	</xsl:template> 
 
	<xsl:template match="space">
        <xsl:apply-templates/>[ ] 
	</xsl:template>

	<xsl:template match="gloss">
        <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="gloss">
	<A><xsl:attribute name="NAME"><xsl:value-of select="@id"/>
	</xsl:attribute><xsl:apply-templates/></A><br/>
	</xsl:template> 

<!-- Quotations and bibliographic elements -->

	<xsl:template match="q">
        "<xsl:apply-templates/>" 
	</xsl:template>

	<xsl:template match="quote">
        <blockquote><xsl:apply-templates/></blockquote> 
	</xsl:template>

<!-- Drama -->

<xsl:template match="sp">
        <p><xsl:apply-templates/></p>
</xsl:template>

 <xsl:template match="sp/p">
    <blockquote><xsl:apply-templates/></blockquote>
  </xsl:template>

<xsl:template match="stage">
        <blockquote><I><xsl:apply-templates/></I></blockquote>
</xsl:template>

<xsl:template match="speaker">
        <font color="brown"><xsl:apply-templates/></font>
</xsl:template> 

<!-- tables -->
	<xsl:template match="table">
      <table border="1"><xsl:apply-templates/></table>
	</xsl:template>
	<xsl:template match="row">
      <tr><xsl:apply-templates/></tr> 
	</xsl:template>
	<xsl:template match="cell">
      <td><xsl:apply-templates/></td>
	</xsl:template>

<!-- lists -->
	<xsl:template match="list">
      <ul><xsl:apply-templates/></ul>
	</xsl:template>

	<xsl:template match="item">
      <li><xsl:apply-templates/></li>
	</xsl:template>

	<xsl:template match="listBibl">
      <ol><xsl:apply-templates/></ol>
	</xsl:template>

<!-- bibliography -->

      <xsl:template match="bibl">
      <xsl:apply-templates/>
	</xsl:template>
 
	<xsl:template match="biblFull">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="author">
      <xsl:apply-templates/> 
	</xsl:template>

	<xsl:template match="title">
      <i><xsl:apply-templates/></i>
	</xsl:template>

	<xsl:template match="editor">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="publisher">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="biblScope">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="pubPlace">
      <xsl:apply-templates/>
	</xsl:template>

<!-- names, dates, languages, and numbers -->

	<xsl:template match="term">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="datee">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="name">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="dateRange">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="num">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="formula">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="langUsage">
      <xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="language">
      <xsl:apply-templates/>
	</xsl:template>

<!-- titlepages -->

      <xsl:template match="titlePage">
      <hr width="75"/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="titlePart">
      <br/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="docImprint">
      <br/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="docTitle">
      <br/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="docEdition">
      <br/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="docDate">
      <br/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="imprint">
      <br/><xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="byline">
      <br/><xsl:apply-templates/>
	</xsl:template>

<!-- Other segments -->

	<xsl:template match="seg">
      <br/><xsl:apply-templates/> 
	</xsl:template>

<!-- typography -->

	<xsl:template match="hi">
		<i><xsl:apply-templates/></i></xsl:template>

	<xsl:template match="hi[@rend='bold']">
		<b><xsl:apply-templates/></b></xsl:template>

	<xsl:template match="hi[@rend='b']">
		<b><xsl:apply-templates/></b></xsl:template>

	<xsl:template match="hi[@rend='italic']">
		<i><xsl:apply-templates/></i></xsl:template>

	<xsl:template match="hi[@rend='underline']">
		<u><xsl:apply-templates/></u></xsl:template>

	<xsl:template match="hi[@rend='sup']">
		<sup><xsl:apply-templates/></sup></xsl:template>

	<xsl:template match="hi[@rend='super']">
		<sup><xsl:apply-templates/></sup></xsl:template>

	<xsl:template match="hi[@rend='ss']">
		<sup><xsl:apply-templates/></sup></xsl:template>

	<xsl:template match="hi[@rend='sl']">
		<sup><xsl:apply-templates/></sup></xsl:template>

	<xsl:template match="hi[@rend='red']">
		<font color="red"><xsl:apply-templates/></font></xsl:template>

	<xsl:template match="hi[@rend='init']">
		<font size="+2" color="red">
	<xsl:apply-templates/></font></xsl:template>

	<xsl:template match="emph">
		<i><xsl:apply-templates/></i></xsl:template>

	<xsl:template match="emph[@rend='bold']">
		<b><xsl:apply-templates/></b></xsl:template>

	<xsl:template match="emph[@rend='italic']">
		<i><xsl:apply-templates/></i></xsl:template>

	<xsl:template match="emph[@rend='underline']">
		<u><xsl:apply-templates/></u></xsl:template>

	<xsl:template match="emph[@rend='sup']">
		<sup><xsl:apply-templates/></sup></xsl:template>

	<xsl:template match="emph[@rend='super']">
		<sup><xsl:apply-templates/></sup></xsl:template>

<!-- teiHeader tags not represented in this stylesheet: -->
<!-- textClass  refsDecl availability  editionStmt  -->
<!-- notesStmt seriesStmt  sourceDesc  titleStmt  -->
<!-- classDecl  profileDesc creation keywords  -->
<!-- classCode catRef revisionDesc fileDesc  -->
<!-- sponsor funder distributor encodingDesc  -->
<!-- projectDesc samplingDecl editorialDecl catDesc  -->
<!-- respStmt publicationStmt tagsDecl  tagUsage  -->
<!-- hand  handList  -->


</xsl:stylesheet>
